Target version: 2.5.0   

Resolution: Fixed   

Description

Idea is to allow user to input some value, and it will be seen in readonly mode as external link.

When defining the CustomField, we also input an URL prefix.

This will allow to make strong links to external ressources and do query/stats on them.

This external resources may be other Ticket/TaskMgmt system, wiki, or whatever.

Example for Confluence wiki

URLPrefix = "http://wiki.company.com/display/space/" and displayed link will just add the field value to the prefix URL =>

"http://wiki.company.com/display/space/somewikipage"

note: having such feature in markup will also be great (will create another Feature query for that), ex:

"Check This":mywiki:somewikipage => <a href='http://wiki.company.com/display/space/somewikipage'>C

heck This</a>

Related issues:

Related to Redmine - Feature #2084: Customizable "protocols" to generate exte... New 2008-10-24

Related to Redmine - Feature #5794: URL custom fields Closed 2010-07-01

Related to Redmine - Patch #3651: New URL custom field option Closed 2009-07-22

Related to Redmine - Feature #13708: External related issues Closed

History

#1 - 2008-10-24 11:57 - Erwan Ducroquet

see also #2084

#2 - 2009-08-23 14:07 - M Salzburg

Nice Feature +1.

A custom field of type "link" would be an easy alternative!

#3 - 2013-03-23 17:43 - Dipan Mehta

+1. This is very useful for 1 case. We put URL for local resources on tickets as they are applicable. Now, if the server path moves - solution such as

this has a great value.

#4 - 2013-03-31 19:29 - Maxim Krušina

+1, just need this to link Redmine issues to Zendesk tickets

In custom field config, there should be:

Open links in a new window - So the admin can select behavirour

Prefix - it is meaned as "prefilled vlue"?

Protocols - not sure if needed to specify allowed protocls, maybe this is too much....

Display as (Select):

URL only - URL is displayed in ticket

Description - + edit text here, like all URLS will have title "Open related ticket in Zendsek"

Desciption per ticket - each ticket's URL can have it's own title (display as)

#5 - 2013-09-01 23:14 - Andriy Lesyuk
This can be done using Extended Fields: http://projects.andriylesyuk.com/projects/extended-fields

#6 - 2013-11-16 10:30 - Jean-Philippe Lang

- Target version set to 2.5.0

#7 - 2013-12-22 15:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

2.5.0 adds a "Link" custom field format that can link to an external and configurable URL.

#8 - 2015-02-05 00:14 - Antoine Beaupré

Jean-Philippe Lang wrote:

2.5.0 adds a "Link" custom field format that can link to an external and configurable URL.

 how does it work exactly? if i put a URL, it just links to that URL, it doesn't act as prefix at all. 2.5.1 here.

#9 - 2015-03-05 04:44 - Toshi MARUYAMA

Antoine Beaupré wrote:

Jean-Philippe Lang wrote:

2.5.0 adds a "Link" custom field format that can link to an external and configurable URL.

 how does it work exactly? if i put a URL, it just links to that URL, it doesn't act as prefix at all. 2.5.1 here.

 See #1358#note-19.

Powered by TCPDF (www.tcpdf.org)

2025-07-02 2/2

http://projects.andriylesyuk.com/projects/extended-fields
https://www.redmine.org/issues/1358#note-19
http://www.tcpdf.org

